Package org.codehaus.commons.compiler.util.resource

# Class LazyMultiResourceFinder

java.lang.Object
org.codehaus.commons.compiler.util.resource.ResourceFinder
org.codehaus.commons.compiler.util.resource.ListableResourceFinder
org.codehaus.commons.compiler.util.resource.MultiResourceFinder
org.codehaus.commons.compiler.util.resource.LazyMultiResourceFinder

Direct Known Subclasses:
  `JarDirectoriesResourceFinder`, `PathResourceFinder`

public class LazyMultiResourceFinder extends MultiResourceFinder
A `ResourceFinder` that examines a set of `ResourceFinder`s lazily as it searches for resources.

See Also:
  - `IteratorCollection`

## Field Summary

### Fields inherited from class org.codehaus.commons.compiler.util.resource.ResourceFinder

`EMPTY_RESOURCE_FINDER`

## Constructor Summary

Constructors
Constructor
Description
`LazyMultiResourceFinder(Iterator<ResourceFinder> resourceFinders)`

## Method Summary

### Methods inherited from class org.codehaus.commons.compiler.util.resource.MultiResourceFinder

`findResource, list`

### Methods inherited from class org.codehaus.commons.compiler.util.resource.ResourceFinder

`findResourceAsStream`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LazyMultiResourceFinder

public LazyMultiResourceFinder(Iterator<ResourceFinder> resourceFinders)

Parameters:
  `resourceFinders` - delegate `ResourceFinder`s